#ctd_jk_level1.conf for CTD SO data level 1
#March 27, 2003  rcg

next_script := /data12/sodata/jklinck/scripts/ctd_jk_level2.pl
next_configuration_file := /data12/sodata/jklinck/support_files/ctd_jk_level2.conf

cast_pattern := .*/\D\D\D(\d\d\d)\.dat

data_file_type := dat
data_file_pattern := ctd*

ctd_event_file := ../ctdevent.dat

logfile := /data12/sodata/jklinck/logs/ctd_jk.log

# Get the last level of field names from the data file itself, and
# compare to what is here.  Adjust as necessary so no new field names are
# introduced.
field_names_level_0 := cruiseid,>
field_names_level_1 := event,cast,year,yrday,time_utc,lat,lon,xgrid,ygrid,depth_w,depth,station,>
field_names_level_2 := Pressure,Temperature,Salinity,PotTemp,PotDens0,PotDens1,BuoyFreq,Temperature0,Temperature1,Salinity0,Salinity1,Oxygen,PAR,Transmissivity,Fluorescence

# Use "%" for spaces within the key words.  These are the keys into the
# CTD event file data.
ID_event := Event%number
ID_year := Year
ID_yrday := Yearday
ID_Dayminute := Dayminute
ID_time_utc := GMT
ID_lat := Latitude
ID_lon := Longitude
ID_xgrid := Xgrid
ID_ygrid := Ygrid
ID_depth_w := Total%depth
ID_depth := Sample%depth
ID_station := Station
ID_cast := Cast
ID_data_type := Data%Type

# debug options are yes, no and keep.  "yes" results in the most output.
#	"keep" means to keep the files created by the program, but no
#	other debug messages are printed.

debug := no

